=== debian/control ===
Source: ros-kinetic-control-toolbox
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-cmake-modules, ros-kinetic-control-msgs, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-generation, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-rosunit, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/control_toolbox
Standards-Version: 3.9.2

Package: ros-kinetic-control-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-kinetic-control-msgs, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-runtime, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: The control toolbox contains modules that are useful across all controllers.
